Метод | Описание | |
---|---|---|
ChangeUnitWeight ( ) : bool |
change unit weight of selected component to 14.50 kN/m3
|
|
Execute ( ExternalCommandData commandData, string &message, Autodesk elements ) : Autodesk.Revit.UI.Result |
Implement this method as an external command for Revit.
|
|
GetParameterTable ( object o, MaterialType substanceKind ) : |
get a datatable contains parameters' information of certain element
|
|
SetMaterial ( ) : void |
set the material of selected component
|
|
UpdateMaterial ( object obj ) : void |
Update cache material
|
Метод | Описание | |
---|---|---|
AddDataRow ( string parameterName, string parameterValue, |
add one row to datatable of parameter
|
|
CreateTable ( ) : |
Create an empty table with parameter's name column and value column
|
|
GetAllMaterial ( ) : void |
get all materials exist in current document
|
|
GetCurrentMaterial ( ) : Autodesk.Revit.DB.Autodesk.Revit.DB.Material |
get current material of selected component
|
|
GetSelectedComponent ( ) : void |
get selected beam, column or brace
|
|
Init ( ) : bool |
firstly, check whether only one beam, column or brace is selected then initialize some member variables
|
public Execute ( ExternalCommandData commandData, string &message, Autodesk elements ) : Autodesk.Revit.UI.Result | ||
commandData | ExternalCommandData | An object that is passed to the external application /// which contains data related to the command, /// such as the application object and active view. |
message | string | A message that can be set by the external application /// which will be displayed if a failure or cancellation is returned by /// the external command. |
elements | Autodesk | A set of elements to which the external application /// can add elements that are to be highlighted in case of failure or cancellation. |
Результат | Autodesk.Revit.UI.Result |
public GetParameterTable ( object o, MaterialType substanceKind ) : |
||
o | object | Revit element |
substanceKind | MaterialType | the material type of this element |
Результат |
public UpdateMaterial ( object obj ) : void | ||
obj | object | new material |
Результат | void |